# std::experimental::basic_string_view<CharT,Traits>::swap

From cppreference.com
< cpp‎ | experimental‎ | basic string view

constexpr void swap(basic_string_view& v) noexcept; |  | (library fundamentals TS)

Exchanges the view with that of `v`.

### Parameters

v | - | view to swap with

### Return value

(none)

### Complexity

Constant.

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/experimental/basic_string_view/swap&oldid=93190"